#/bin/bash
echo "Fresh information about languages with according po directory..."
langs=`ls po|grep "\.po"|grep -v "\.pot"|cut -d "." --fields=1`
echo $langs > fresh_langs.tmp
langs=`cat fresh_langs.tmp`
sed -i "s|ALL_LINGUAS=.*|ALL_LINGUAS=\"$langs\"|g" configure
sed -i "s|ALL_LINGUAS=.*|ALL_LINGUAS=\"$langs\"|g" configure.in
po_files=`ls po|grep "\.po"|grep -v "\.pot"`
echo $po_files > fresh_langs.tmp
po_files=`cat fresh_langs.tmp`
sed -i "s|POFILES =  .*|POFILES =  $po_files|g" po/Makefile.in
gmo_files=`ls po|grep "\.po"|grep -v "\.pot"|sed "s|.po|.gmo|g"`
echo $gmo_files > fresh_langs.tmp
gmo_files=`cat fresh_langs.tmp`
sed -i "s|GMOFILES =  .*|GMOFILES =  $gmo_files|g" po/Makefile.in
sed -i "s|CATALOGS =  .*|CATALOGS =  $gmo_files|g" po/Makefile.in
rm -f fresh_langs.tmp
echo "Done."
