# empty-debuginfo-package
%define debug_package %{nil}

Summary:	Student's Schedule
Name:		gnutu
Version:	2.9
Release:	%mkrel 1
License:	GPLv2
Group:		Education
URL:		https://sourceforge.net/projects/gnutu
Source0:	https://sourceforge.net/projects/gnutu/files/%{name}-%{version}.tar.gz
BuildRequires:	gtk-sharp2
BuildRequires:	glade-sharp2
BuildRequires:	pkgconfig(mono)

%description
GNUTU (Student's Schedule) is designed for students
from primary and secondary schools - using it, you
can note various information (like marks, tests' dates
and important school events). It also can create
various statistics, search for all entered data, calculate
your average; it can also serve as a diary and many, many more...

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.ico
%{_datadir}/pixmaps/%{name}.png

