#/bin/sh

# This script generates gnutu.desktop file using gnutu.desktop.in template and po files

rm -f gnutu.desktop
echo `ls ./po|grep .po|grep -v .pot|cut -d "." --fields=1` > ./po/LINGUAS
msgfmt --desktop -d ./po --template gnutu.desktop.in -o gnutu.desktop
rm -f ./po/LINGUAS
# compatibility with old gettext
if [ ! -f "gnutu.desktop" ]
then
   cp -f gnutu.desktop.in gnutu.desktop
   echo "Desktop file was not localized, please update gettext"
fi
